    001    /*
    002     * Licensed to the Apache Software Foundation (ASF) under one or more
    003     * contributor license agreements.  See the NOTICE file distributed with
    004     * this work for additional information regarding copyright ownership.
    005     * The ASF licenses this file to You under the Apache License, Version 2.0
    006     * (the "License"); you may not use this file except in compliance with
    007     * the License.  You may obtain a copy of the License at
    008     *
    009     *     http://www.apache.org/licenses/LICENSE-2.0
    010     *
    011     * Unless required by applicable law or agreed to in writing, software
    012     * distributed under the License is distributed on an "AS IS" BASIS,
    013     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    014     * See the License for the specific language governing permissions and
    015     * limitations under the License.
    016     */
    017
    018    package org.apache.commons.configuration;
    019
    020    import org.apache.commons.lang.exception.NestableException;
    021
    022    /**
    023     * Any exception that occurs while initializing a Configuration
    024     * object.
    025     *
    026     * @author Eric Pugh
    027     * @version $Id: ConfigurationException.java 1208784 2011-11-30 21:13:18Z oheger $
    028     */
    029    public class ConfigurationException extends NestableException
    030    {
    031        /**
    032         * The serial version ID.
    033         */
    034        private static final long serialVersionUID = -1316746661346991484L;
    035
    036        /**
    037         * Constructs a new {@code ConfigurationException} without specified
    038         * detail message.
    039         */
    040        public ConfigurationException()
    041        {
    042            super();
    043        }
    044
    045        /**
    046         * Constructs a new {@code ConfigurationException} with specified
    047         * detail message.
    048         *
    049         * @param message  the error message
    050         */
    051        public ConfigurationException(String message)
    052        {
    053            super(message);
    054        }
    055
    056        /**
    057         * Constructs a new {@code ConfigurationException} with specified
    058         * nested {@code Throwable}.
    059         *
    060         * @param cause  the exception or error that caused this exception to be thrown
    061         */
    062        public ConfigurationException(Throwable cause)
    063        {
    064            super(cause);
    065        }
    066
    067        /**
    068         * Constructs a new {@code ConfigurationException} with specified
    069         * detail message and nested {@code Throwable}.
    070         *
    071         * @param message  the error message
    072         * @param cause    the exception or error that caused this exception to be thrown
    073         */
    074        public ConfigurationException(String message, Throwable cause)
    075        {
    076            super(message, cause);
    077        }
    078    }